/*****************************************************************************/
/* Copyright (C) 2003-2009, JOANNEUM RESEARCH Forschungs Ges.m.b.H.          */
/* Steyrergasse 17, A-8010 Graz, Austria.                                    */
/*                                                                           */
/*  This file is part of the JRS MPEG-7 Library.                             */
/*  http://mpeg-7.joanneum.at                                                */
/*                                                                           */
/*  JRS MPEG-7 Library is free software: you can redistribute it and/or      */
/*  modify it under the terms of the GNU Lesser General Public License       */
/*  (LGPL) as published by the Free Software Foundation, either version 3    */
/*  of the License, or (at your option) any later version.                   */
/*                                                                           */
/*  JRS MPEG-7 Library is distributed in the hope that it will be useful,    */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             */
/*  GNU Lesser General Public License for more details.                      */
/*                                                                           */
/*  You should have received a copy of the GNU Lesser General Public License */
/*  along with this library. If not, see <http://www.gnu.org/licenses/>.     */
/*****************************************************************************/



#ifndef _1817MP7JRSSCALABLECOLORTYPE_NUMOFCOEFF_LOCALTYPE_H
#define _1817MP7JRSSCALABLECOLORTYPE_NUMOFCOEFF_LOCALTYPE_H


#include <xercesc/util/XMLString.hpp>
#include "Mp7JrsDefines.h"

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfCoeff_LocalType_ExtInclude.h




/**
 * Generated enumeration Mp7JrsScalableColorType_numOfCoeff_LocalType<br>
 * Located at: mpeg7-2004.xsd, line 399<br>
 * Enumerations: <br>
 * _16 (mapped to XML 16) <br>
 * _32 (mapped to XML 32) <br>
 * _64 (mapped to XML 64) <br>
 * _128 (mapped to XML 128) <br>
 * _256 (mapped to XML 256) <br>
 */
class MP7JRS_EXPORT Mp7JrsScalableColorType_numOfCoeff_LocalType
{
public:
	/** Mp7JrsScalableColorType_numOfCoeff_LocalType enumeration */
	enum Enumeration
	{
		UninitializedEnumeration, 
		_16, // Mapped to 16
		_32, // Mapped to 32
		_64, // Mapped to 64
		_128, // Mapped to 128
		_256, // Mapped to 256
	};
	

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfCoeff_LocalType_ExtMethodDef.h


	static XMLCh * ToText(Mp7JrsScalableColorType_numOfCoeff_LocalType::Enumeration item);
	static Mp7JrsScalableColorType_numOfCoeff_LocalType::Enumeration Parse(const XMLCh * const txt);

  static const XMLCh * nsURI(); // For namespace handling

// no includefile for extension defined 
// file Mp7JrsScalableColorType_numOfCoeff_LocalType_ExtPropDef.h



};
#endif // _1817MP7JRSSCALABLECOLORTYPE_NUMOFCOEFF_LOCALTYPE_H
